Page MenuHomePhabricator

Replace `ArticleRollbackComplete` hook
Closed, ResolvedPublic

Description

It uses Revision objects (twice)

Suggested replacement: RollbackComplete - all rollbacks are on articles

Deployed extensions that will need to be updated:

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 18 2020, 1:49 AM
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 589823 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/589823

Change 589823 merged by jenkins-bot:
[mediawiki/core@master] Replace ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/589823

Change 591213 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591213

Change 591215 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Echo@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591215

Change 591219 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MachineVision@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591219

Change 591222 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/WikimediaEditorTasks@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591222

@Mholloway for MachineVision and WikimediaEditorTasks is it okay to bump the required version? Currently they support 1.33 and 1.34 respectively, and in the patch they require 1.35+

That sounds fine to me.

Change 591222 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591222

Change 591219 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591219

CBogen moved this task from To Do to Tracking on the Structured-Data-Backlog board.May 5 2020, 3:39 PM

Change 591213 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591213

Change 591215 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Replace use of ArticleRollbackComplete hook with RollbackComplete

https://gerrit.wikimedia.org/r/591215

DannyS712 changed the task status from Open to Stalled.May 6 2020, 12:18 AM
DannyS712 removed a project: Patch-For-Review.
DannyS712 added a subscriber: tstarling.

All deployed extensions updated. Waiting until @tstarling's current work on hooks is merged, to avoid merge conflicts and slowing that down.

Change 598911 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Jade@master] Replace use of deprecate ArticleRollbackComplete hook

https://gerrit.wikimedia.org/r/598911

Change 598911 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Replace use of deprecate ArticleRollbackComplete hook

https://gerrit.wikimedia.org/r/598911

Change 600401 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hooks: Hard deprecate 2 hooks using Revision objects

https://gerrit.wikimedia.org/r/600401

DannyS712 changed the task status from Stalled to Open.May 30 2020, 7:08 PM

Change 600401 merged by jenkins-bot:
[mediawiki/core@master] Hooks: Hard deprecate 2 hooks using Revision objects

https://gerrit.wikimedia.org/r/600401

DannyS712 closed this task as Resolved.Jun 1 2020, 9:54 PM